aboutsummaryrefslogtreecommitdiffstats
path: root/main/haproxy/APKBUILD
diff options
context:
space:
mode:
authorChristian Kampka <christian@kampka.net>2015-11-04 12:04:52 +0100
committerNatanael Copa <ncopa@alpinelinux.org>2015-11-04 13:20:41 +0000
commitbda0ea24e74a3081132e561f9b55e9eb8f08772b (patch)
treea58efd410d8ed31e6f0c72e3b8a81d013ca1fb41 /main/haproxy/APKBUILD
parent3cf9d45c95fbec2d61e1c5514416a214fbb5c496 (diff)
downloadaports-bda0ea24e74a3081132e561f9b55e9eb8f08772b.tar.gz
aports-bda0ea24e74a3081132e561f9b55e9eb8f08772b.tar.bz2
aports-bda0ea24e74a3081132e561f9b55e9eb8f08772b.tar.xz
main/haproxy: new upstream version 1.6.2, enable zlib and lua support
Diffstat (limited to 'main/haproxy/APKBUILD')
-rw-r--r--main/haproxy/APKBUILD24
1 files changed, 16 insertions, 8 deletions
diff --git a/main/haproxy/APKBUILD b/main/haproxy/APKBUILD
index b30ed9709f..0a37a517aa 100644
--- a/main/haproxy/APKBUILD
+++ b/main/haproxy/APKBUILD
@@ -1,23 +1,32 @@
# Contributor: Jeff Bilyk <jbilyk@gmail.com>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=haproxy
-pkgver=1.5.14
+_pkgmajorver=1.6
+pkgver=${_pkgmajorver}.2
pkgrel=0
pkgdesc="A TCP/HTTP reverse proxy for high availability environments"
url="http://haproxy.1wt.eu"
arch="all"
license="GPL"
+_luaver="5.3"
depends=""
-makedepends="pcre-dev openssl-dev linux-headers"
+makedepends="pcre-dev openssl-dev linux-headers lua${_luaver}-dev zlib-dev"
install="haproxy.pre-install haproxy.pre-upgrade"
subpackages="$pkgname-doc"
-source="http://haproxy.1wt.eu/download/1.5/src/$pkgname-$pkgver.tar.gz
+source="http://haproxy.1wt.eu/download/${_pkgmajorver}/src/$pkgname-$pkgver.tar.gz
haproxy.initd
haproxy.cfg"
build() {
cd "$srcdir/$pkgname-$pkgver"
- make TARGET=linux2628 USE_PCRE=1 USE_OPENSSL=1 CFLAGS="$CFLAGS" || return 1
+ make TARGET=linux2628 \
+ USE_PCRE=1 \
+ USE_OPENSSL=1 \
+ USE_ZLIB=1 \
+ USE_LUA=1 \
+ LUA_LIB=/usr/lib/lua${_luaver} \
+ LUA_INC=/usr/include/lua${_luaver} \
+ CFLAGS="$CFLAGS" || return 1
}
package() {
@@ -28,13 +37,12 @@ package() {
install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
install -m644 -D "$srcdir"/haproxy.cfg "$pkgdir"/etc/haproxy/haproxy.cfg
}
-
-md5sums="ad9d7262b96ba85a0f8c6acc6cb9edde haproxy-1.5.14.tar.gz
+md5sums="d0ebd3d123191a8136e2e5eb8aaff039 haproxy-1.6.2.tar.gz
c2b6a08009c1eaad4ec1f0ae778d1a04 haproxy.initd
463f00b30bfb002750d5c5549382365f haproxy.cfg"
-sha256sums="9565dd38649064d0350a2883fa81ccfe92eb17dcda457ebdc01535e1ab0c8f99 haproxy-1.5.14.tar.gz
+sha256sums="bd4a7eee79e1bfd25af59d956bb60e82acbb6f146f3fb3b30636036f4c9548d3 haproxy-1.6.2.tar.gz
33a164deedb83eba3a976ad5e299850d7d333d4f08247b51da01ac7f3e10343f haproxy.initd
7e3c03acb9a41e21e21059da609e694e6dd952d9a37297bd39cad37680af213f haproxy.cfg"
-sha512sums="83d6101fd402f37845ab3febc914335e4c6d9bdebbb0ff81c8e048d5252ffa5a1b77c4250a434fed5dd541ef1f1f2c47d969b59f7a51d6ab9aea38a8646a9798 haproxy-1.5.14.tar.gz
+sha512sums="8cb1f2bb7e63e75b1350e37b4a06dae9627bc6004ceefc0e3dac7c6f56ea66cdc41ebaee0e536a5acbd4e5b067feba2589d3e360dd7fdc6d3d67c000f6c83ba9 haproxy-1.6.2.tar.gz
3ab277bf77fe864ec6c927118dcd70bdec0eb3c54535812d1c3c0995fa66a3ea91a73c342edeb8944caeb097d2dd1a7761099182df44af5e3ef42de6e2176d26 haproxy.initd
89d1366352af9cc7cb338779341d460606e2e3cfe9e4f7d5169af46680accb07035fab9a4bbb87dfbe383bb146e8e4d1e95a29e3d36ff64e97603a317a0b1b78 haproxy.cfg"